Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::cylinder_sensor_node Class Reference

Inheritance diagram for openvrml::vrml97_node::cylinder_sensor_node:

[legend]
List of all members.

## Detailed Description

CylinderSensor node instances.

## Public Member Functions

| cylinder_sensor_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~cylinder_sensor_node () throw ()
| Destroy.
virtual cylinder_sensor_node * | to_cylinder_sensor () const
| Cast to a cylinder_sensor_node.
void | activate (double timeStamp, bool isActive, double *p)
| Called in response to user interaction.
bool | enabled () const
| Indicate whether the sensor is enabled.

## Private Member Functions

virtual void | do_render_child (openvrml::viewer &viewer, rendering_context context)
| Render the node.

## Private Attributes

exposedfield< sfbool > | auto_offset_
| autoOffset exposedField.
exposedfield< sffloat > | disk_angle_
| diskAngle exposedField.
exposedfield< sfbool > | enabled_
| enabled exposedField.
exposedfield< sffloat > | max_angle_
| maxAngle exposedField.
exposedfield< sffloat > | min_angle_
| minAngle exposedField.
exposedfield< sffloat > | offset_
| offset exposedField.
sfbool | is_active_
| Active state.
sfbool_emitter | is_active_emitter_
| isActive eventOut.
sfrotation | rotation_changed_
| Rotation state.
sfrotation_emitter | rotation_changed_emitter_
| rotation_changed eventOut.
sfvec3f | track_point_changed_
| Track point state.
sfvec3f_emitter | track_point_changed_emitter_
| trackPoint_changed eventOut.
float | rotation_val
| The rotation value.
vec3f | activationPoint
| The activation point.
bool | disk
mat4f | activationMatrix
| Activation matrix.
mat4f | modelview
| Modelview matrix.

## Friends

class | cylinder_sensor_class
| Class object for CylinderSensor nodes.

## Constructor & Destructor Documentation

openvrml::vrml97_node::cylinder_sensor_node::cylinder_sensor_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

Construct.

Parameters:

  | type | the node_type associated with the node instance.
  | scope | the scope to which the node belongs.

openvrml::vrml97_node::cylinder_sensor_node::~cylinder_sensor_node | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

cylinder_sensor_node * openvrml::vrml97_node::cylinder_sensor_node::to_cylinder_sensor | ( |  | ) | const`[virtual]`

Cast to a cylinder_sensor_node.

Returns:
  a pointer to the cylinder_sensor_node.

Reimplemented from openvrml::node.

void openvrml::vrml97_node::cylinder_sensor_node::activate | ( | double | timeStamp,
|  | bool | isActive,
|  | double * | p
| ) |

| Called in response to user interaction.

bool openvrml::vrml97_node::cylinder_sensor_node::enabled | ( |  | ) | const

Indicate whether the sensor is enabled.

Returns:
  `true` if the sensor is enabled; `false` otherwise.

void openvrml::vrml97_node::cylinder_sensor_node::do_render_child | ( | openvrml::viewer & | viewer,
|  | rendering_context | context
| ) | `[private, virtual]`

Render the node.

Parameters:

  | viewer | a Viewer.
  | context | a rendering context.

Reimplemented from openvrml::child_node.

## Friends And Related Function Documentation

openvrml::vrml97_node::cylinder_sensor_node::cylinder_sensor_class`[friend]`

| Class object for CylinderSensor nodes.

## Member Data Documentation

exposedfield< sfbool > openvrml::vrml97_node::cylinder_sensor_node::auto_offset_ `[private]`

| autoOffset exposedField.

exposedfield< sffloat > openvrml::vrml97_node::cylinder_sensor_node::disk_angle_ `[private]`

| diskAngle exposedField.

exposedfield< sfbool > openvrml::vrml97_node::cylinder_sensor_node::enabled_ `[private]`

| enabled exposedField.

exposedfield< sffloat > openvrml::vrml97_node::cylinder_sensor_node::max_angle_ `[private]`

| maxAngle exposedField.

exposedfield< sffloat > openvrml::vrml97_node::cylinder_sensor_node::min_angle_ `[private]`

| minAngle exposedField.

exposedfield< sffloat > openvrml::vrml97_node::cylinder_sensor_node::offset_ `[private]`

| offset exposedField.

sfbool openvrml::vrml97_node::cylinder_sensor_node::is_active_ `[private]`

| Active state.

sfbool_emitter openvrml::vrml97_node::cylinder_sensor_node::is_active_emitter_ `[private]`

| isActive eventOut.

sfrotation openvrml::vrml97_node::cylinder_sensor_node::rotation_changed_ `[private]`

| Rotation state.

sfrotation_emitter openvrml::vrml97_node::cylinder_sensor_node::rotation_changed_emitter_ `[private]`

| rotation_changed eventOut.

sfvec3f openvrml::vrml97_node::cylinder_sensor_node::track_point_changed_ `[private]`

| Track point state.

sfvec3f_emitter openvrml::vrml97_node::cylinder_sensor_node::track_point_changed_emitter_ `[private]`

| trackPoint_changed eventOut.

float openvrml::vrml97_node::cylinder_sensor_node::rotation_val `[private]`

| The rotation value.

vec3f openvrml::vrml97_node::cylinder_sensor_node::activationPoint `[private]`

| The activation point.

mat4f openvrml::vrml97_node::cylinder_sensor_node::activationMatrix `[private]`

| Activation matrix.

mat4f openvrml::vrml97_node::cylinder_sensor_node::modelview `[private]`

| Modelview matrix.